using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.Vendor.Cqrs;

public class CreateVendorValidator : AbstractValidator<CreateVendorRequest>
{
    public CreateVendorValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Vendor Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.VendorGroupId)
            .NotEmpty().WithMessage("Vendor Group is required");

        RuleFor(x => x.VendorCategoryId)
            .NotEmpty().WithMessage("Vendor Category is required");

        RuleFor(x => x.EmailAddress)
            .EmailAddress().When(x => !string.IsNullOrEmpty(x.EmailAddress));
    }
}